{
  "schema_version": "1.4.0",
  "id": "GHSA-7g6w-wx5f-p467",
  "modified": "2022-05-14T03:03:36Z",
  "published": "2022-05-14T03:03:36Z",
  "aliases": [
    "CVE-2018-10299"
  ],
  "details": "An integer overflow in the batchTransfer function of a smart contract implementation for Beauty Ecosystem Coin (BEC), the Ethereum ERC20 token used in the Beauty Chain economic system, allows attackers to accomplish an unauthorized increase of digital assets by providing two _receivers arguments in conjunction with a large _value argument, as exploited in the wild in April 2018, aka the \"batchOverflow\" issue.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2018-10299"
    },
    {
      "type": "WEB",
      "url": "https://dasp.co/#item-3"
    },
    {
      "type": "WEB",
      "url": "https://medium.com/secbit-media/a-disastrous-vulnerability-found-in-smart-contracts-of-beautychain-bec-dbf24ddbc30e"
    },
    {
      "type": "WEB",
      "url": "https://peckshield.com/2018/04/22/batchOverflow"
    },
    {
      "type": "WEB",
      "url": "https://support.okex.com/hc/en-us/articles/360002944212-BeautyChain-BEC-Withdrawal-and-Trading-Suspended"
    },
    {
      "type": "WEB",
      "url": "https://twitter.com/OKEx_/status/987967343983714304"
    },
    {
      "type": "WEB",
      "url": "https://www.reddit.com/r/ethereum/comments/8esyg9/okex_erc20_bug"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2018-04-23T04:29:00Z"
  }
}